package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFIG6 extends MwfRequest<MWFIG6, MWFIG6Response> {

    @Parameter(name = "BankovniUcetDebet")
    MWFIG6 bankovniUcetDebet(String bankovniUcetDebet);
    @Parameter(name = "BankovniUcetKredit")
    MWFIG6 bankovniUcetKredit(String bankovniUcetKredit);
    @Parameter(name = "CastkaTransakce")
    MWFIG6 castkaTransakce(Double castkaTransakce);
    @Parameter(name = "DatumSPOT")
    MWFIG6 datumSPOT(java.util.Date datumSPOT);
    @Parameter(name = "DatumUskutecneniTransakce")
    MWFIG6 datumUskutecneniTransakce(java.util.Date datumUskutecneniTransakce);
    @Parameter(name = "IDKurzZadost")
    MWFIG6 iDKurzZadost(String iDKurzZadost);
    @Parameter(name = "IDTransakceGEN")
    MWFIG6 iDTransakceGEN(String iDTransakceGEN);
    @Parameter(name = "KonstaktniSymbol")
    MWFIG6 konstaktniSymbol(String konstaktniSymbol);
    @Parameter(name = "KurzFixICBS")
    MWFIG6 kurzFixICBS(Double kurzFixICBS);
    @Parameter(name = "KurzLimitni")
    MWFIG6 kurzLimitni(Double kurzLimitni);
    @Parameter(name = "MenaDebet")
    MWFIG6 menaDebet(String menaDebet);
    @Parameter(name = "MenaKredit")
    MWFIG6 menaKredit(String menaKredit);
    @Parameter(name = "MenaTransakce")
    MWFIG6 menaTransakce(String menaTransakce);
    @Parameter(name = "MenovaStrana")
    MWFIG6 menovaStrana(Long menovaStrana);
    @Parameter(name = "MenovyPar")
    MWFIG6 menovyPar(String menovyPar);
    @Parameter(name = "Segment")
    MWFIG6 segment(String segment);
    @Parameter(name = "SpecifickySymbol")
    MWFIG6 specifickySymbol(String specifickySymbol);
    @Parameter(name = "SystemovyZnakProGeneratorID")
    MWFIG6 systemovyZnakProGeneratorID(String systemovyZnakProGeneratorID);
    @Parameter(name = "VariabilniSymbol")
    MWFIG6 variabilniSymbol(String variabilniSymbol);
    @Parameter(name = "ZpravaAV")
    MWFIG6 zpravaAV(String zpravaAV);
    @Parameter(name = "ZpravaDebet")
    MWFIG6 zpravaDebet(String zpravaDebet);
    @Parameter(name = "ZpravaKredit")
    MWFIG6 zpravaKredit(String zpravaKredit);
}
